PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_fnumber

## Name

SPI_fnumber -- Finds the attribute number for specified attribute name

## Synopsis

    SPI_fnumber(tupdesc, fname)

### Inputs

TupleDesc `tupdesc`

  Input tuple description

char * `fname`

  Field name

### Outputs

int

  Attribute number

  Valid one-based index number of attribute
  SPI_ERROR_NOATTRIBUTE if the named attribute is not found

## Description

`SPI_fnumber` returns the attribute number for the attribute with name in fname.

## Usage

Attribute numbers are 1 based.

If the given fname refers to a system attribute (eg, `oid`) then the appropriate negative attribute number will be returned. The caller should be careful to test for exact equality to SPI_ERROR_NOATTRIBUTE to detect error; testing for result <= 0 is not correct unless system attributes should be rejected.

Prev | Home | Next
Interface Support Functions | Up | SPI_fname